package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.base.model.dto.jcgl.TbJcglXfqyDto;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.entity.jcgl.TbJcglXfqy;
import com.mosty.base.model.query.jcgl.TbJcglXfqyQuery;
import com.mosty.base.model.query.jcgl.XfqyQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author zengbo
 * @since 2022-07-14
 */
public interface TbJcglXfqyService {

    @ApiOperation("新增巡防区")
    int addXfqy(TbJcglXfqyDto tbJcglXfqy);

    @ApiOperation("查询巡防区")
    IPage<TbJcglXfqyDto> getXfqy(TbJcglXfqyQuery xfqyQuery);

    @ApiOperation("编辑巡防区")
    int editXfqy(TbJcglXfqyDto tbJcglXfqy);

    @ApiOperation("删除巡防区")
    int deleteXfqy(List<String> id);

    @ApiOperation("根据ID查询")
    TbJcglXfqyDto selectById(String id);

    @ApiOperation("getXfqList")
    Page<TbJcglXfqy> getXfqList(AppSearchQuery dto);

    @ApiOperation("泸州态势统计-各区县重点区域巡防")
    Map<String, Object> getZdxfqy(XfqyQuery dto);

    @ApiOperation("泸州态势统计-警情与重点区域巡逻对比分析")
    Map<String,Object> getJqandQyxf(XfqyQuery dto);

    @ApiOperation("查询所有巡防区域数据")
    List<TbJcglXfqyDto> getListAll();
}
